version: 1
metadata:
  category: Authentication
  name: Keycloak
  version: 25.0.6+fix.1
  tagline: Open Source Identity and Access Management
  description: >-
    Keycloak is a powerful and versatile open-source identity and access management solution that offers robust security and authentication services for modern applications. Whether you're a developer building web, mobile, or cloud-based applications, or an organization looking to secure and manage user identities, Keycloak provides a comprehensive set of features to meet your needs.

    With Keycloak, you can easily add user authentication, authorization, and single sign-on capabilities to your applications, eliminating the need to build these complex features from scratch. It supports various authentication methods, including username/password, social logins (Google, Facebook, etc.), and multi-factor authentication, ensuring that your users can securely access your applications using their preferred authentication method.

    Keycloak also offers a centralized administration console, empowering administrators to manage user accounts, roles, and permissions efficiently. You can easily define fine-grained access control policies, granting or revoking access to specific resources based on user roles or attributes. This level of control allows you to secure your applications and APIs, ensuring that only authorized users can access sensitive data or perform privileged actions.

    One of the standout features of Keycloak is its support for single sign-on (SSO) across multiple applications. Once a user is authenticated in one application, they can seamlessly access other applications without the need to re-enter their credentials. This enhances user experience and simplifies the authentication process for your users.

    Keycloak is highly extensible and integrates seamlessly with popular frameworks and platforms. It supports industry standards such as OAuth 2.0 and OpenID Connect, making it compatible with a wide range of applications and identity providers. Additionally, Keycloak provides comprehensive documentation and a vibrant community that actively contributes to its development, ensuring that you have the resources and support you need to succeed.

    In summary, Keycloak is a reliable, feature-rich, and extensible identity and access management solution that simplifies the implementation of secure user authentication and authorization in your applications. By leveraging Keycloak's capabilities, you can focus on building your core application functionality while ensuring the highest standards of security and user experience. Take advantage of Keycloak today and enhance the security and usability of your applications!
  developers:
    Red Hat: https://www.redhat.com/en
  repos:
    Server: https://github.com/keycloak/keycloak
  support: https://keycloak.discourse.group/
  default_username: nirvati
  default_password: {{ derive_entropy(identifier="password") }}
  icon: https://official-app-icons.nirvati.org/keycloak/icon.svg
  license: Apache-2.0
  volumes:
    keycloak:
      minimum_size: 300Mi
      recommended_size: 500Mi
      name: Main data
      description: Data of keycloak itself
    postgres:
      minimum_size: 300Mi
      recommended_size: 500Mi
      name: Database
      description: The main database
    